com.pixelmed.network

## Class CMoveRequestCommandMessage

- java.lang.Object
- - com.pixelmed.network.CMoveRequestCommandMessage

    public class CMoveRequestCommandMessage
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`CMoveRequestCommandMessage(AttributeList list)`
`CMoveRequestCommandMessage(java.lang.String affectedSOPClassUID, java.lang.String moveDestination)`

### Method Summary

Methods
`java.lang.String` `getAffectedSOPClassUID()`
`byte[]` `getBytes()`
`int` `getCommandField()`
`int` `getGroupLength()`
`int` `getMessageID()`
`java.lang.String` `getMoveDestination()`
`int` `getNextAvailableMessageID()` Get a new message ID.
`int` `getPriority()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CMoveRequestCommandMessage

    public CMoveRequestCommandMessage(AttributeList list)
                               throws DicomException,
                                      java.io.IOException

Parameters:
  `list` -
Throws:
  `java.io.IOException`
  `DicomException`

#### CMoveRequestCommandMessage

    public CMoveRequestCommandMessage(java.lang.String affectedSOPClassUID,
                              java.lang.String moveDestination)
                               throws DicomException,
                                      java.io.IOException

Parameters:
  `affectedSOPClassUID` -
  `moveDestination` -
Throws:
  `java.io.IOException`
  `DicomException`

### Method Detail

#### getGroupLength

    public int getGroupLength()

#### getAffectedSOPClassUID

    public java.lang.String getAffectedSOPClassUID()

#### getMoveDestination

    public java.lang.String getMoveDestination()

#### getCommandField

    public int getCommandField()

#### getMessageID

    public int getMessageID()

#### getPriority

    public int getPriority()

#### getBytes

    public byte[] getBytes()

#### getNextAvailableMessageID

    public final int getNextAvailableMessageID()

Get a new message ID.

Implemented as a simple counter on scope of JVM invocation, and will eventually wrapp around.

Returns:
  a new unused integer message ID